Subject: bug#17171: crash in ns_read_socket

From: Alan Third <[email-masked]>
Date: Tue, 25 Apr 2017 13:32:23 +0100

Greg Smolyn <[email-masked]> writes:

> Sorry for the barrage of emails, further details:
>
> I have tried with the latest git master branch (GNU Emacs 25.0.50.1 -
> commit c477f207) and I so far it hasn't crashed. However, what happens
> is strange keyboard behaviours after I have done similar steps to
> cause a crash in 24.4. Now on single keypresses I get several
> characters I do not expect along with every keypress. These extra
> characters will also show up if i start typing in the main buffer
> also.
>
> When helm is searching, things can get a bit slow, and I think many of
> the keypress events are getting bundled up somehow and not released?
> So every keypress from then on in is getting ALL of the events. It is
> easy to make the number of characters grow by just typing really
> quickly when it has gotten slow.
>

Hi, sorry for taking so long to get back to you. Are you still
experiencing these crashes and/or multiple character problems?
-- 
Alan Third